Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.extractor
Class Fields

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<org.eclipse.jdt.core.dom.IVariableBinding>
                  emn.fr.ascola.extractor.Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<org.eclipse.jdt.core.dom.IVariableBinding>, java.util.Collection<org.eclipse.jdt.core.dom.IVariableBinding>, java.util.List<org.eclipse.jdt.core.dom.IVariableBinding>, java.util.RandomAccess

    public class Fields

extends java.util.Vector<org.eclipse.jdt.core.dom.IVariableBinding>

Class for storing structure with full information.

Author:
  jroyer
See Also:
  Serialized Form

Constructor Summary
`Fields()`

Method Summary
`boolean` | `containsKey(java.lang.String iv)` Test if iv name exists in the fields.
`Fields` | `filter()` Filter the default-package fields.
`boolean` | `hasPublicFields()` Check if it has a public or default-package field.
`Fields` | `merge(Fields other)` Merge the fields of the second to the first.
`java.lang.String` | `toString()` String representation.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### Fields

    public Fields()

Method Detail

### containsKey

    public boolean containsKey(java.lang.String iv)

  Test if iv name exists in the fields.

  Parameters:
    `iv` - name TODO improve
  Returns:

### merge

    public Fields merge(Fields other)

  Merge the fields of the second to the first. Masking is taken into account

  Parameters:
    `other` -
  Returns:

### filter

    public Fields filter()

  Filter the default-package fields.

  Returns:

### hasPublicFields

    public boolean hasPublicFields()

  Check if it has a public or default-package field.

  Returns:

### toString

    public java.lang.String toString()

  String representation.

  Overrides:
    `toString` in class `java.util.Vector<org.eclipse.jdt.core.dom.IVariableBinding>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD